import { __decorate } from "tslib";
import { customElement } from '@genesislcap/web-core';
import { Fdc3SystemChannelListener, } from './fdc3-system-channel-listener';
/**
 * fdc3-context-listener listen to app channel context
 * @alpha
 */
let Fdc3ContextListener = class Fdc3ContextListener extends Fdc3SystemChannelListener {
    constructor() {
        super(...arguments);
        this.config = [];
    }
    addChannelListeners() {
        this.config.forEach((c) => this.fdc3.addChannelListener(c.channelName, c.channelType, (message) => {
            if (message.type === c.channelType) {
                c.callback(message);
            }
        }));
    }
};
Fdc3ContextListener = __decorate([
    customElement({
        name: 'fdc3-context-listener',
    })
], Fdc3ContextListener);
export { Fdc3ContextListener };
